Subject: Re: bug#52559: guix pull fails with `Unknown command: nix fish: nix show-derivation "~/.fr-sqOEpp/....-module-import-compiled.drv"

From: Grigory Shepelev <[email-masked]>
Date: Mon, 27 Dec 2021 21:01:04 +0300

Created new user. Tested from it. Guix pull works great. Now will move the
stuff.
Thanks a lot.

пн, 27 дек. 2021 г., 18:53 Maxime Devos <[email-masked]>:

> Hi,
>
> Grigory Shepelev schreef op ma 27-12-2021 om 17:27 [+0300]:
> > After the last letter my laptop's motherboard broke. It was replaced
> > recently but all the data was lost from the SSD due to encryption...
> > TLDR: I made a backup and reinstalled the system.
> > But the problem still persists. How can I safely move root's profile
> > into the user's one?  Tinkering with any root-related things is a
> > danger zone for me, so I won't do anything on my own until there are
> > any clear instructions.
>
> You could try deleting /var/guix/profiles/per-user/$USER and running
> "$THE_GUIX_OF_ROOT pull" and "$guix install ...". I don't see why that
> wouldn't work, but I've never tried it and 0 warranty.
>
> > As previously: from root "guix pull" works perfectly. From users it
> > has the same problem (nix-related error).
>
> Could you search for "show-derivation" in the back-up? E.g. with grep -
> rF show-derivation. Maybe there's a leftover from when you used nix
> somewhere ...
>
> Greetings,
> Maxime.
>
>